# mongoc_apm_topology_changed_get_new_description()

## Synopsis

    const mongoc_topology_description_t *
    mongoc_apm_topology_changed_get_new_description (
       const mongoc_apm_topology_changed_t *event);

Returns this event’s new description. The data is only valid in the scope of the callback that receives this event; copy it if it will be accessed after the callback returns.

## Parameters

- `event`: A mongoc_apm_topology_changed_t.

## Returns

A mongoc_topology_description_t that should not be modified or freed.

See also

Introduction to Application Performance Monitoring